crossfire(6)

NAME
CrossFire - a multiplayer adventure and arcade game server

SYNOPSIS
crossfire-server [-<options>]

DESCRIPTION
CrossFire is a multiplayer graphical arcade and adventure game, which has certain flavours from other games, especially Gauntlet (TM), NetHack, Moria, Angband, and Ragnarok. Any number of players can move around in their own window, finding and using items and battling monsters. They can choose to cooperate or compete in the same world.

CrossFire runs as a client/server model. You will also need one of the clients to play. With them you can either connect to a server someone else has set up, or run your own server and connect to that. At now clients exit for the X-Windows, GTK, Java, and Windows NT environment.

OPTIONS

-csport <port number>
    Specifies the port to that should be used for the client/server connection.

-d  Turns on some debugging.

+d  Turns off debugging. Useful if DEBUG was defined at compile time.

-detach
    This will run the server as a demon.

-h  Prints out a list of server options.

-log <file>
    Specifies a file to send output to. Only has meaning if -detach is specified.

-mon
    Turns on monster-debugging.

-o  Prints out info on what was defined at compile time.

-s  Displays the highscore list.

-score <name | class>
    Displays all highscores with matching name or class.

-v  Prints out version and contributors.

The following options are only available if DUMP_SWITCHES was defined at compile time. You can only use one of them without any other option.

-m  Dumps out suggested experience for all monsters.

-m2 Dumps out abilities.

-m3 Dumps out artifact information.

-m4 Dumps out spell information.

-m5 Dumps out skill information.

-m6 Dumps out race information.

-m7 Dumps out alchemy information.

-m8 Dumps out gods information.

-m9 Dumps out more alchemy information.

-mt <name>
    Dumps out a list of treasures for a monster.

-mexp
    Dumps out the experience table.

-mq Dumps out the list of defined quests.

FILES
Configuration files for crossfire-server are stored in PREFIX/etc/crossfire/

SEE ALSO
cfclient(6)

BUGS
Please read the REPORTING BUGS section in README.

AUTHOR
 (C) 1994 Mark Wedel (mwedel@scruznet.com)
 (C) 1992 Frank Tore Johansen (frankj@ifi.uio.no)